您的位置: 鸡西资讯网 > 育儿

研究人员对多款常用家庭路由器进行测试 安全性堪忧

发布时间:2019-10-12 23:07:18

【新闻】目前常用的一些家庭路由器都没有充分利用Linux操作系统的安全性能,其中大多数使用的是Linux操作系统的基础固件。 

在对28个家庭路由器进行安全性的审查中,发现了诸如ASLR(地址空间布局随机化)、DEP(数据执行预防)、RELRO(重定位只读)和堆栈保护等安全加固特性的缺失。来自网络独立测试实验室(Cyber-itl)的安全专家分析了这些路由器的固件,并绘制出了上述四种安全特性所保护的固件代码的百分比。

“缺乏这些安全功能是不可原谅的,”帕克·汤普森和萨拉·扎特科说,他们是这项研究背后的两名网络itl研究人员。他们补充说:“本报告所讨论的功能易于采用,没有缺点,是其它市场领域(如桌面和移动软件)的标配。”

虽然一些路由器可以对某一个功能做到100%的覆盖,但没有一个能同时实现四种功能。此外,研究人员还发现,同一品牌的不同产品在四种安全特性上也会存在不同,某些型号的安全性评价极高,而另一些则几乎没有保护措施。

研究小组称,在他们分析的28个路由器固件图像中,Linksys WRT 2X模型得分最高,所有固件二进制文件的DEP覆盖率为100%,RELRO覆盖率为95%,堆栈保护覆盖率为82%,但ASLR保护只有4%。

下面是对每个型号路由器的研究结果。研究人员首先查看了《消费者报告》(Consumer Reports)推荐的10种家庭路由器(表1),然后将研究范围扩大到其它新闻出版物推荐的路由器型号,如CNET、PCMag和TrustCompass(表2) 

表1

表2

一些公司可以提供具有一定安全性的路由器,并且路由器可以从Linux提供给桌面和服务器操作系统强化中获益。 

该研究还显示了使用MIPS Linux内核的路由器的一个弱点。Cyber-ITL团队表示,在分析28个固件 (其中10个运行MIPS Linux, 18个运行ARM Linux)的过程中,他们还发现,从2001年到2016年,MIPS Linux内核版本都存在安全漏洞。

“从2001年到2016年的问题导致基于堆栈的执行在用户进程上被启用”研究人员表示,这个问题使得DEP无法得到保护。2016年的MIPS Linux内核补丁重新启用了对MIPS Linux的DEP保护,但却导致了另一个漏洞,即允许攻击者绕过DEP和ASLR保护。

徐州癫痫病医院
福建治疗输卵管堵塞医院
宁波治疗男科医院哪家好
徐州癫痫病医院费用
福建治疗阴道炎方法
猜你会喜欢的
猜你会喜欢的